pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 1


interface Converter {
	function reserveBalance(address _reserveToken) external view returns (uint256);
	function reserveWeight(address _reserveToken) external view returns (uint32);
	function reserveTokens() external view returns (address[] memory);
	function reserveRatio() external view returns (uint32);
	function reserveTokenCount() external view returns (uint16);
	function setConversionFee(uint32 _conversionFee) external;
	function owner() external view returns (address);
	function acceptOwnership() external;
}
