pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 2


interface TransferApproval {
	event NewRequest(address indexed _sender, address indexed _recipient, address indexed _token, uint256 _value, uint256 _serial);
	event NewExecution(uint256 serial);
	event NewRejection(uint256 serial);

	function serial() external view returns (uint256);
	function requests(uint256) external view returns (address);
	function approvers(address) external view returns(bool);
	function request(address _recipient, address _token, uint256 _value) external returns (uint256);
	function execute(uint256 _serial) external returns (bool);
	function reject(uint256 _serial) external returns (bool);
}
